
Redmine - Defect #13980

Custom field permissions not applying 

2013-05-06 09:16 - sadhanandavel ramdoss

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.3

Description

Hi, I have created a couple of custom fields and want to set the field permissions to them based on the status of the issue. For

example, the custom field "Actual start" should be 'required' only when the issue status is 'In progress'. Like wise, the custom field

'Actual end' is 'required' only when the issue status is 'Resolved'. I set these permissions in the Workflow module, but they are not

working when I create/update the issue.

Related issues:

Is duplicate of Redmine - Defect #11887: Issue permission doesn't apply to Ad... New

History

#1 - 2013-05-07 11:51 - sadhanandavel ramdoss

Hi, I checked this issue again. Actually these settings work for all the roles. But if a user is also an Admin, these validations are not applying when

he/she creates/updates the issue.

If it is an intended feature, please resolve the issue.

Thanks.

#2 - 2013-05-08 18:08 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

sadhanandavel ramdoss wrote:

Hi, I checked this issue again. Actually these settings work for all the roles. But if a user is also an Admin, these validations are not applying

when he/she creates/updates the issue.

If it is an intended feature, please resolve the issue.

Thanks.

 See: #11887.
